Skip to main content
PUT
/
moderation
/
keywords
/
{keywordId}
Update keyword
curl --request PUT \
  --url https://{appid}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId} \
  --header 'Content-Type: multipart/form-data' \
  --header 'apikey: <api-key>' \
  --form category=word \
  --form 'searchTerms=AI-powered video moderation to detect unsafe content.' \
  --form 'file=<string>' \
  --form id=ID-of-the-word-list \
  --form 'name=Name of the word list' \
  --form 'description=Description of the word list' \
  --form 0.file='@example-file' \
  --form 1.file='@example-file' \
  --form 2.file='@example-file'
{
  "data": {
    "id": "profanity-list",
    "name": "Profane Words",
    "category": "word",
    "isCSV": false,
    "searchTerms": [
      "fuck",
      "nigger",
      "fuck",
      "nigger",
      "wanker",
      "cunt",
      "damn",
      "shit",
      "fag",
      "shithead",
      "jizz",
      "hellbitch",
      "retard",
      "cocksucker",
      "cock",
      "kill",
      "cunt",
      "kike",
      "twat",
      "bastard",
      "death",
      "asshole",
      "wop",
      "scumbag",
      "penis",
      "murder",
      "dick",
      "gook",
      "vagina",
      "rape",
      "bastard",
      "spic",
      "spunk",
      "beat"
    ],
    "createdAt": 1718354412,
    "updatedAt": 1718354412,
    "revisionId": "253157108b5294c4_profanity-list_1",
    "active": true,
    "default": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

keywordId
string
required

Keyword ID

Body

multipart/form-data
category
enum<string>
required

Type of entries in the list

Available options:
word,
pattern,
sentence-similarity
searchTerms
string
required

Comma-separated values of keywords or regex patterns if no file is provided.

Example:

"AI-powered video moderation to detect unsafe content."

file
file

CSV file containing the keywords or regex patterns for the list.

id
string

Unique identifier for the word list.

Example:

"ID-of-the-word-list"

name
string

Descriptive name for the word list.

Example:

"Name of the word list"

description
string

Detailed explanation of the word list's purpose.

Example:

"Description of the word list"

Response

200 - application/json

Update Keyword

data
object